Brivio API reference
Fleet

Record an odometer reading; the vehicle's current odometer moves to it. Honours Idempotency-Key. (scope: fleet:write)

POST
/fleet/vehicles/{id}/odometer-readings

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Fleet vehicle id

Formatuuid

Request Body

application/json
  1. body
reading_km*integer
Range0 <= value
reading_date*string
Formatdate
notes?string
Lengthlength <= 500

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/fleet/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/odometer-readings" \  -H "Content-Type: application/json" \  -d '{    "reading_km": 0,    "reading_date": "2019-08-24"  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "vehicle_id": "e57c411b-caf2-4a2e-b2e8-e232824b6ddf",    "reading_km": 0,    "reading_date": "2019-08-24",    "notes": "string",    "created_at": "2019-08-24T14:15:22Z"  },  "error": null}